Loading...
Searching...
No Matches
Opm::EquilRecord Class Reference

## Public Member Functions

| EquilRecord (double datum_depth_arg, double datum_depth_pc_arg, double woc_depth, double woc_pc, double goc_depth, double goc_pc, bool live_oil_init, bool wet_gas_init, int target_accuracy, bool humid_gas_init)
| EquilRecord (const DeckRecord &record, const Phases &phases, int region, const KeywordLocation &location)
double | datumDepth () const
double | datumDepthPressure () const
double | waterOilContactDepth () const
double | waterOilContactCapillaryPressure () const
double | gasOilContactDepth () const
double | gasOilContactCapillaryPressure () const
bool | liveOilInitConstantRs () const
bool | wetGasInitConstantRv () const
int | initializationTargetAccuracy () const
bool | humidGasInitConstantRvw () const
bool | operator== (const EquilRecord &data) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static EquilRecord | serializationTestObject ()

The documentation for this class was generated from the following files:

- opm/input/eclipse/EclipseState/InitConfig/Equil.hpp
- opm/input/eclipse/EclipseState/InitConfig/Equil.cpp